//
// ProductFilterViewController.h
// Project
//
// Created by Ziv on 2017/5/11.
//
//

#import <UIKit/UIKit.h>
#import "Destination.h"

typedef NS_ENUM (NSUInteger, BookingReportProductFilterMode) {
	BookingReportProductFilterModeUndefined = 0,
	BookingReportProductFilterModeDeparture,
	BookingReportProductFilterModeArrival,
	BookingReportProductFilterModeSalesOnly
};

@interface BookingReportProductFilterViewController : UITableViewController

@property (nonatomic, strong) Destination *selectedDeparture;
@property (nonatomic, strong) Destination *selectedArrival;
@property (nonatomic, assign) BOOL isSalesOnly;

- (instancetype)initWithFilterMode:(BookingReportProductFilterMode)filterMode;

- (void)setDidDoneBlock:(void (^) (Destination *departure, Destination *arrival, BOOL isSalesOnly))block;
- (void)setDidCancelBlock:(void (^) (void))block;

@end
