//
// DateSelectionView.h
// Project
//
// Created by Ziv on 16/8/3.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@interface CustomLeftRightTitleToolbar : UIToolbar

@property (nonatomic, strong) UIBarButtonItem *leftBarButtonItem;
@property (nonatomic, strong) UIBarButtonItem *rightBarButtonItem;
@property (nonatomic, strong) UIBarButtonItem *titleBarButtonItem;

- (void)setLeftBarButtonItemHandler:(void (^) (void))block;
- (void)setRightBarButtonItemHandler:(void (^) (void))block;
- (void)setTitleBarButtonItemHandler:(void (^) (void))block;

@end
